aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-05-18 10:35:43 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2008-05-18 10:35:43 +0000
commit15d02897d2fdb517e4218fc5996ec546460b52bf (patch)
tree479c8f81bc00e461427e190fc49dc4b0bfa1eeea
parentd7ff5b42327a29b650e51a71e97fdecfa5276c43 (diff)
downloadpaludis-15d02897d2fdb517e4218fc5996ec546460b52bf.tar.gz
paludis-15d02897d2fdb517e4218fc5996ec546460b52bf.tar.xz
Tweak; ever-so-slight speed-up.
-rwxr-xr-xpaludis/repositories/e/ebuild/source_functions.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/paludis/repositories/e/ebuild/source_functions.bash b/paludis/repositories/e/ebuild/source_functions.bash
index fa9c7e4..b54c71c 100755
--- a/paludis/repositories/e/ebuild/source_functions.bash
+++ b/paludis/repositories/e/ebuild/source_functions.bash
@@ -32,8 +32,8 @@ ebuild_safe_source()
trap DEBUG
set -T
shopt -s extdebug
- trap "[[ \${BASH_COMMAND%%[[:space:]]*} != @(*=*|export|declare) ||
- \${BASH_COMMAND%%=*} == ?(*[[:space:]])!($(IFS='|'; shift; echo "${*}")) ]]" DEBUG
+ trap "[[ \${BASH_COMMAND%%=*} == ?(*[[:space:]])!($(IFS='|'; shift; echo "${*}")) ||
+ \${BASH_COMMAND%%[[:space:]]*} != @(*=*|export|declare) ]]" DEBUG
source "${1}"
eval "trap DEBUG; shopt -u extdebug; set +T; return ${?}"